Commit aafd5f99 authored by David Fuhrmann's avatar David Fuhrmann

macOS build: Bump minimum required OS version to 10.11

As discussed, 10.11 is needed to use the updated collection view API
for the UI overhaul.
parent 0d0cacee
......@@ -4,7 +4,7 @@ Changes between 3.0.x and 4.0.0-dev:
Platform support changes:
* 4.0.x requires:
- Windows 7/2008 R2 or later (with KB2533623 installed)
- macOS 10.10 or later
- macOS 10.11 or later
- iOS 9 or later
- Android 4.1.x or later (API-16)
- GCC 5.0 or Clang 3.4 (or equivalent)
......
......@@ -1538,7 +1538,7 @@
};
};
};
buildConfigurationList = C2F2A6EA09588F1B00018C74 /* Build configuration list for PBXProject "VLC" */;
buildConfigurationList = C2F2A6EA09588F1B00018C74 /* Build configuration list for PBXProject "vlc" */;
compatibilityVersion = "Xcode 6.3";
developmentRegion = English;
hasScannedForEncodings = 1;
......@@ -1830,7 +1830,7 @@
../../../modules/codec/,
);
LIBRARY_SEARCH_PATHS = "${VLC_SRC_DIR}/build/vlc_install_dir/lib";
MACOSX_DEPLOYMENT_TARGET = 10.10;
MACOSX_DEPLOYMENT_TARGET = 10.11;
ONLY_ACTIVE_ARCH = YES;
PATH = $VLC_PATH;
PRODUCT_NAME = VLC;
......@@ -1879,7 +1879,7 @@
../../../modules/codec/,
);
LIBRARY_SEARCH_PATHS = "${VLC_SRC_DIR}/build/vlc_install_dir/lib";
MACOSX_DEPLOYMENT_TARGET = 10.10;
MACOSX_DEPLOYMENT_TARGET = 10.11;
PATH = $VLC_PATH;
PRODUCT_NAME = VLC;
VLC_BUILD_TRIPLET = "x86_64-apple-darwin17";
......@@ -1927,7 +1927,7 @@
../../../modules/codec/,
);
LIBRARY_SEARCH_PATHS = "${VLC_SRC_DIR}/build/vlc_install_dir/lib";
MACOSX_DEPLOYMENT_TARGET = 10.10;
MACOSX_DEPLOYMENT_TARGET = 10.11;
PATH = $VLC_PATH;
PRODUCT_NAME = VLC;
VLC_BUILD_TRIPLET = "x86_64-apple-darwin17";
......@@ -1949,7 +1949,7 @@
defaultConfigurationIsVisible = 0;
defaultConfigurationName = Default;
};
C2F2A6EA09588F1B00018C74 /* Build configuration list for PBXProject "VLC" */ = {
C2F2A6EA09588F1B00018C74 /* Build configuration list for PBXProject "vlc" */ = {
isa = XCConfigurationList;
buildConfigurations = (
C2F2A6EB09588F1B00018C74 /* Development */,
......
......@@ -34,7 +34,7 @@ OPTIONS="
--disable-pulse
--disable-sdl-image
--disable-vnc
--with-macosx-version-min=10.10
--with-macosx-version-min=10.11
"
export CFLAGS
......
#!/bin/bash
ARCH="x86_64"
MINIMAL_OSX_VERSION="10.10"
MINIMAL_OSX_VERSION="10.11"
vlcGetTriplet() {
......
......@@ -9,7 +9,7 @@ xib_verbose__0 = $(xib_verbose_0)
$(AM_V_at)mkdir -p -- gui/macosx/UI
$(xib_verbose)$(XIB) --errors --warnings --notices \
--module VLC --auto-activate-custom-fonts --target-device mac \
--minimum-deployment-target 10.10 --output-format human-readable-text \
--minimum-deployment-target 10.11 --output-format human-readable-text \
--compile $@ $<
libmacosx_plugin_la_OBJCFLAGS = $(AM_OBJCFLAGS) -fobjc-exceptions -fobjc-arc
......
......@@ -1527,7 +1527,7 @@
<key>LSApplicationCategoryType</key>
<string>public.app-category.video</string>
<key>LSMinimumSystemVersion</key>
<string>10.10.0</string>
<string>10.11.0</string>
<key>NSAppTransportSecurity</key>
<dict>
<key>NSAllowsArbitraryLoads</key>
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment